[mythtv-users] Upgrade from .18.1 to .20?

Jonas Anden jonas at anden.nu
Fri Sep 8 16:40:04 UTC 2006

> The upgrade from FC3 to FC5 should be fine.  Do a backup and be  
> careful with partitions etc.. so as not to format any.  Perhaps even  
> just backup your database, save your video partition and fresh install  
> of FC5.

I updated my system from FC3 to FC4 while back, and went FC4 to FC5 last
weekend; mostly worked out okay, but some dependencies introduced by
atrpms packages kept some packages back on *.fc4.i386.rpm. Most notably
the qt packages was kept on fc4, which meant that the MySQL connection
from the frontend failed and the backend died on startup (since MySQL is
upgraded from version 4 to 5 in FC5). Some manual work was required to
solve the dependencies; what I did to most packages was force them off
and then run 'yum install <package>', and some packages I just dropped
since I didn't deem them necessary ;)

The MythTV part of the upgrade seemed to work flawlessly. All packages
upgraded nicely.

  // J

More information about the mythtv-users mailing list